API ReferenceRealtime
Update a Realtime profile
PATCH
/v1/realtime/profiles/{profile_id}Authorization
BearerAuth AuthorizationBearer <token>
Tenant key supplied as the Authorization Bearer token.
In: header
Path Parameters
profile_id*string
Realtime profile to use.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
import { writeFile } from "node:fs/promises";const response = await fetch("https://api.allmodels.io/v1/realtime/profiles/$REALTIME_PROFILE_ID", { method: "PATCH", headers: { ...{ Authorization: `Bearer ${process.env.ALLMODELS_API_KEY}` }, "Content-Type": "application/json" }, body: JSON.stringify({ "name": "Updated voice agent", "pipeline": { "stt": { "model": "deepgram/nova-3" }, "tts": { "model": "elevenlabs/eleven-flash-v2" }, "upstream": { "url": "wss://app.example.com/voice-agent" } }})});if (!response.ok) throw new Error(`AllModels request failed: ${response.status}`);console.log(await response.json());import osimport requestspayload = { "name": "Updated voice agent", "pipeline": { "stt": { "model": "deepgram/nova-3" }, "tts": { "model": "elevenlabs/eleven-flash-v2" }, "upstream": { "url": "wss://app.example.com/voice-agent" } }}response = requests.patch( "https://api.allmodels.io/v1/realtime/profiles/$REALTIME_PROFILE_ID", headers={"Authorization": f"Bearer {os.environ['ALLMODELS_API_KEY']}"}, json=payload, timeout=60,)response.raise_for_status()print(response.json())curl -X PATCH https://api.allmodels.io/v1/realtime/profiles/$REALTIME_PROFILE_ID \ -H "Authorization: Bearer $ALLMODELS_API_KEY" \ -H "Content-Type: application/json" \ --data '{ "name": "Updated voice agent", "pipeline": { "stt": { "model": "deepgram/nova-3" }, "tts": { "model": "elevenlabs/eleven-flash-v2" }, "upstream": { "url": "wss://app.example.com/voice-agent" } }}'{ "id": "string", "object": "realtime.profile", "type": "pipeline", "name": "string", "pipeline": { "property1": null, "property2": null }, "revision": 0, "property1": null, "property2": null}{ "error": "missing_api_key"}{ "error": { "type": "string", "code": "string", "message": "string", "property1": null, "property2": null }}{ "error": { "type": "string", "code": "string", "message": "string", "property1": null, "property2": null }}{ "error": { "type": "string", "code": "string", "message": "string", "property1": null, "property2": null }}